Skip to main content
GET
/
lists
cURL
curl --request GET \
  --url https://public-api.lonescale.com/lists \
  --header 'x-api-key: <api-key>'
{
  "list": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "entity": "COMPANY",
      "description": "<string>",
      "organizationId": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "hasNextPage": true,
  "total": 123
}

Authorizations

x-api-key
string
header
required

Provide your API key in the x-api-key header.

Query Parameters

page
integer
default:0

Page number (10 items per page, starts at 0).

entity
enum<string>

Filter lists by entity type.

Available options:
COMPANY,
PEOPLE

Response

Paginated list of imported lists

list
object[]
hasNextPage
boolean
total
integer